Outil : read_presentation
Lire une représentation JSON d'une présentation Google Slides.
Correspond à presentations.get dans l'API REST.
L'exemple suivant montre comment utiliser curl pour appeler l'outil MCP read_presentation.
| Requête curl |
|---|
curl --location 'https://slidesmcp.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "read_presentation", "arguments": { // provide these details according to the tool MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Schéma d'entrée
Demande de lecture d'une présentation.
ReadPresentationRequest
| Représentation JSON |
|---|
{ "presentationId": string } |
| Champs | |
|---|---|
presentationId |
Obligatoire. ID de la présentation à partir de laquelle lire le contenu. |
Schéma de sortie
Réponse contenant la représentation JSON de la présentation.
ReadPresentationResponse
| Représentation JSON |
|---|
{ "content": string } |
| Champs | |
|---|---|
content |
Représentation JSON d'une présentation Google Slides. |
Annotations d'outil
Indication destructive : ❌ | Indication d'idempotence : ✅ | Indication en lecture seule : ✅ | Indication de monde ouvert : ✅